import IMetrics from "./interfaces/iMetrics";
import IPoint from "./interfaces/iPoint";
import { IAnimation, IAnimationEaseFunction, ISpeed } from "@mezzy/animation";
export default class Metrics {
    static readonly tolerance: number;
    static to(instance: IMetrics, values: number[]): IMetrics;
    static equals(a: number[], b: number[], tolerance?: number): boolean;
    static getArray(args: any[], schema: string[]): number[];
    static magnitudeSquared(value: number[]): number;
    static magnitude(value: number[]): number;
    static abs(value: number[]): number[];
    static add(a: number[], b: number[], isModifyA?: boolean): number[];
    static addNumber(a: number[], value: number, isModifyA?: boolean): number[];
    static subtract(a: number[], b: number[], isModifyA?: boolean): number[];
    static difference(a: number[], b: number[], isModifyA?: boolean): number[];
    static subtractNumber(a: number[], value: number, isModifyA?: boolean): number[];
    static multiply(a: number[], b: number[], isModifyA?: boolean): number[];
    static multiplyNumber(a: number[], value: number, isModifyA?: boolean): number[];
    static divide(a: number[], b: number[], isModifyA?: boolean): number[];
    static divideNumber(a: number[], value: number, isModifyA?: boolean): number[];
    static dot(a: number[], b: number[]): number;
    static distanceSquared(a: number[], b: number[]): number;
    static distance(a: number[], b: number[]): number;
    static min(a: number[], b: number[], isModifyA?: boolean): number[];
    static max(a: number[], b: number[], isModifyA?: boolean): number[];
    static clamp(values: number[], min: number[], max: number[], isModifyValues?: boolean): number[];
    static largestValue(values: number[]): number;
    static smallestValue(values: number[]): number;
    static sortDownwardLeftToRight(a: IPoint, b: IPoint): number;
    static sortRightwardTopToBottom(a: IPoint, b: IPoint): number;
    static go(start: number[], target: number[], durationSpeed?: (number | ISpeed), ease?: IAnimationEaseFunction, repeatCount?: number, animationKey?: string): IAnimation;
}
